%{!?__pecl:     %{expand: %%global __pecl     %{_bindir}/pecl}}
%{!?php_extdir: %{expand: %%global php_extdir %(php-config --extension-dir)}}

%define pecl_name phar

Summary:      Allows running of complete applications out of .phar files
Name:         php-pecl-phar
Version:      1.2.3
Release:      2%{?dist}
License:      PHP
Group:        Development/Languages
URL:          http://pecl.php.net/package/phar

Source:       http://pecl.php.net/get/%{pecl_name}-%{version}.tgz
Source2:      xml2changelog

Patch0:       phar-make.patch

BuildRoot:    %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: php-devel >= 5.2.0, pcre-devel, php-pear
Requires(post): %{__pecl}
Requires(postun): %{__pecl}
Requires:     php-common >= 5.2.0, php-bz2, php-hash
Provides:     php-pecl(%{pecl_name}) = %{version}-%{release}
Requires:     php(zend-abi) = %{php_zend_api}
Requires:     php(api) = %{php_core_api}

%description
This is the extension version of PEAR's PHP_Archive package. Support for
zlib, bz2 and crc32 is achieved without any dependency other than the 
external zlib or bz2 extension.

.phar files can be read using the phar stream, or with the Phar class. 
If the SPL extension is available, a Phar object can be used as an array
to iterate over a phar's contents or to read files directly from the phar.

Phar archives can be created using the streams API or with the Phar class,
if the phar.readonly ini variable is set to false.

Full support for MD5 and SHA1 signatures is possible. Signatures can be 
required if the ini variable phar.require_hash is set to true. 
When PECL extension hash is available then SHA-256 and SHA-512 signatures
are supported as well.


%prep 
%setup -c -q
%{_bindir}/php -n %{SOURCE2} package.xml >CHANGELOG
cd %{pecl_name}-%{version}

%patch0 -p0 -b .makepatch

# fix PHP path
%{__sed} -i -e 's#/usr/local/bin#%{_bindir}#' phar/phar.php
# need a rebuild (to be signed, with good php path)
%{__rm} -f phar.phar


%build
cd %{pecl_name}-%{version}
phpize
%configure
%{__make} %{?_smp_mflags}

%{__make} pharcmd


%install
cd %{pecl_name}-%{version}
%{__rm} -rf %{buildroot}
%{__make} install INSTALL_ROOT=%{buildroot}

# Drop in the bit of configuration
%{__mkdir_p} %{buildroot}%{_sysconfdir}/php.d
%{__cat} > %{buildroot}%{_sysconfdir}/php.d/%{pecl_name}.ini << 'EOF'
; Enable %{pecl_name} extension module
extension=%{pecl_name}.so
; Options for the %{pecl_name} module
;phar.extract_list=
phar.readonly=Off
phar.require_hash=Off
EOF

# Install XML package description
# use 'name' rather than 'pecl_name' to avoid conflict with pear extensions
%{__mkdir_p} %{buildroot}%{pecl_xmldir}
%{__install} -m 644 ../package.xml %{buildroot}%{pecl_xmldir}/%{name}.xml

# Install the command
%{__mkdir_p} %{buildroot}%{_bindir}
%{__install} -m 755 ./phar.phar %{buildroot}%{_bindir}/phar.phar


%check
cd %{pecl_name}-%{version}
TEST_PHP_EXECUTABLE=$(which php) php run-tests.php \
    -n -q \
    -d extension_dir=modules -d extension=phar.so \
    -d phar.readonly=0


%clean
%{__rm} -rf %{buildroot}


%if 0%{?pecl_install:1}
%post
%{pecl_install} %{pecl_xmldir}/%{name}.xml >/dev/null || :
%endif


%if 0%{?pecl_uninstall:1}
%postun
if [ $1 -eq 0 ] ; then
    %{pecl_uninstall} %{pecl_name} >/dev/null || :
fi
%endif


%files
%defattr(-, root, root, -)
%doc CHANGELOG %{pecl_name}-%{version}/LICENSE %{pecl_name}-%{version}/CREDITS %{pecl_name}-%{version}/TODO
%config(noreplace) %{_sysconfdir}/php.d/%{pecl_name}.ini
%{php_extdir}/%{pecl_name}.so
%{pecl_xmldir}/%{name}.xml
%{_bindir}/phar.phar


%changelog
* Sat Nov 24 2007 Remi Collet <Fedora@FamilleCollet.com> 1.2.3-2
- phar-make.patch back

* Fri Nov 23 2007 Remi Collet <Fedora@FamilleCollet.com> 1.2.3-1
- update to 1.2.3

* Mon Oct 08 2007 Remi Collet <Fedora@FamilleCollet.com> 1.2.2-1
- update to 1.2.2

* Thu Aug 30 2007 Remi Collet <Fedora@FamilleCollet.com> 1.2.1-1
- update to 1.2.1
- use "make pharcmd" 
- add phar-make.patch (use phar.so from build tree)

* Tue Aug 21 2007 Remi Collet <Fedora@FamilleCollet.com> 1.2.0-2
- use new macros in scriplet
- fix license

* Sun Jul 08 2007 Remi Collet <Fedora@FamilleCollet.com> 1.2.0-1
- initial RPM

